--require "hello"
--require "goodbye"

local function getGreeting(greetingTable)
	local maxValue = table.getn(greetingTable)
	math.randomseed(os.time())
	math.random()
	local randomId = math.random(1, maxValue)
	return greetingTable[randomId]
end

local function hello()
	g = getGreeting(helloTable)

	local wgContext = UI.CreateContext("WorldGreetingsContext")
	local wgWindow = UI.CreateFrame("RiftWindow", "World Greetings - Hello", wgContext)
	wgWindow:SetPoint("CENTER", UIParent, "CENTER")
	wgWindow:SetTitle("World Greetings - Hello")
	wgWindow:SetWidth(300)
	wgWindow:SetHeight(160)

	local txtLanguage = UI.CreateFrame("RiftTextfield", "Language Textfield", wgWindow)
	txtLanguage:SetPoint("CENTER", wgWindow, "TOPCENTER", 35, 60)
	txtLanguage:SetWidth(200)
	txtLanguage:SetBackgroundColor(0, 0, 0, 1)
	txtLanguage:SetText(g.language)

	local lblLanguage = UI.CreateFrame("Text", "Language Label", wgWindow)
	lblLanguage:SetPoint("CENTER", wgWindow, "TOPCENTER", -100, 60)
	lblLanguage:SetWidth(50)
	lblLanguage:SetText("Language")

	local txtGreeting = UI.CreateFrame("RiftTextfield", "Greeting Textfield", wgWindow)
	txtGreeting:SetPoint("CENTER", wgWindow, "TOPCENTER", 35, 90)
	txtGreeting:SetWidth(200)
	txtGreeting:SetBackgroundColor(0, 0, 0, 1)
	txtGreeting:SetText(g.text)

	local lblGreeting = UI.CreateFrame("Text", "Language Greeting", wgWindow)
	lblGreeting:SetPoint("CENTER", wgWindow, "TOPCENTER", -100, 90)
	lblGreeting:SetWidth(50)
	lblGreeting:SetText("Greeting")

	local btnClose = UI.CreateFrame("RiftButton", "wggCloseButton", wgWindow)
	btnClose:SetText("Close")
	-- Put the button in the middle of the screen
	btnClose:SetPoint("BOTTOMCENTER", wgWindow,"BOTTOMRIGHT",-85,-10)
	btnClose:SetVisible(true)
	btnClose:SetLayer(8)

	function btnClose.Event:LeftPress()
		wgWindow:SetVisible(false)
	end

	local btnHello = UI.CreateFrame("RiftButton", "wggHello", wgWindow)
	btnHello:SetText("Random")
	-- Put the button in the middle of the screen
	btnHello:SetPoint("BOTTOMCENTER", wgWindow,"BOTTOMLEFT",85,-10)
	btnHello:SetVisible(true)
	btnHello:SetLayer(8)

	function btnHello.Event:LeftPress()
		g = getGreeting(helloTable)
		txtLanguage:SetText(g.language)
		txtGreeting:SetText(g.text)
	end
end

local function goodbye()
	g = getGreeting(goodbyeTable)

	local wgContext = UI.CreateContext("WorldGreetingsContext")
	local wgWindow = UI.CreateFrame("RiftWindow", "World Greetings - Hello", wgContext)
	wgWindow:SetPoint("CENTER", UIParent, "CENTER")
	wgWindow:SetTitle("World Greetings - Goodbye")
	wgWindow:SetWidth(300)
	wgWindow:SetHeight(160)

	local txtLanguage = UI.CreateFrame("RiftTextfield", "Language Textfield", wgWindow)
	txtLanguage:SetPoint("CENTER", wgWindow, "TOPCENTER", 35, 60)
	txtLanguage:SetWidth(200)
	txtLanguage:SetBackgroundColor(0, 0, 0, 1)
	txtLanguage:SetText(g.language)

	local lblLanguage = UI.CreateFrame("Text", "Language Label", wgWindow)
	lblLanguage:SetPoint("CENTER", wgWindow, "TOPCENTER", -100, 60)
	lblLanguage:SetWidth(50)
	lblLanguage:SetText("Language")

	local txtGreeting = UI.CreateFrame("RiftTextfield", "Greeting Textfield", wgWindow)
	txtGreeting:SetPoint("CENTER", wgWindow, "TOPCENTER", 35, 90)
	txtGreeting:SetWidth(200)
	txtGreeting:SetBackgroundColor(0, 0, 0, 1)
	txtGreeting:SetText(g.text)

	local lblGreeting = UI.CreateFrame("Text", "Language Greeting", wgWindow)
	lblGreeting:SetPoint("CENTER", wgWindow, "TOPCENTER", -100, 90)
	lblGreeting:SetWidth(50)
	lblGreeting:SetText("Greeting")

	local btnClose = UI.CreateFrame("RiftButton", "wggCloseButton", wgWindow)
	btnClose:SetText("Close")
	-- Put the button in the middle of the screen
	btnClose:SetPoint("BOTTOMCENTER", wgWindow,"BOTTOMRIGHT",-85,-10)
	btnClose:SetVisible(true)
	btnClose:SetLayer(8)

	function btnClose.Event:LeftPress()
		wgWindow:SetVisible(false)
	end

	local btnHello = UI.CreateFrame("RiftButton", "wggHello", wgWindow)
	btnHello:SetText("Random")
	-- Put the button in the middle of the screen
	btnHello:SetPoint("BOTTOMCENTER", wgWindow,"BOTTOMLEFT",85,-10)
	btnHello:SetVisible(true)
	btnHello:SetLayer(8)

	function btnHello.Event:LeftPress()
		g = getGreeting(helloTable)
		txtLanguage:SetText(g.language)
		txtGreeting:SetText(g.text)
	end
end



table.insert (Command.Slash.Register("wgh"), {hello, "WorldGreetings", "wgl"})
table.insert (Command.Slash.Register("wgg"), {goodbye, "WorldGreetings", "wgl"})
